# Vizro-AI

Vizro-AI is a tool designed for generating data visualizations. It serves as an extension to Vizro, leveraging natural language capabilities to empower users in creating charts effortlessly.

## Why Vizro-AI?

### Easy-to-use
One of the key strengths of Vizro-AI lies in its natural language capabilities, making it accessible to coding novices. Vizro-AI provides a user-friendly interface that allows to create interactive charts while offering detailed explanations about the data and the generated code.

### Visually-optimized
Vizro-AI also caters data scientist who often spend more time on formatting than creating a visualization. Vizro-AI enables the user to speed up the formatting process and create a visually appealing chart, also leveraging the design library of Vizro.

### Dashboard-ready
Vizro-AI focuses currently on plotly and is used to create interactive chart. Thus, it is primarily aimed at dashboards, ensuring that the generated charts are well-suited for dashboard applications.

!!! notice "Notice"
    Please review this [disclaimer](pages/explanation/disclaimer.md)
    before using the `vizro-ai` package.

    Since users must connect to Large Language Models (LLMs) in order to use Vizro-AI,
    please also ensure that you review our guides on the [usage of LLMs](pages/explanation/safety_in_vizro_ai.md)
    and the required [safeguarding for dynamic code evaluation](pages/explanation/safeguard.md).


<div class="card-section-wrapper" style="display: block;">
<div class="responsive-grid">

<a class="card-wrapper" href="pages/tutorials/quickstart/">
  <div class="card">
    <div class="card-content">
      <h5>Get Started</h5>
      <p>
        New to Vizro-AI? Take a look at our tutorials to get started and to explore our core features.
      </p>
    </div>
  </div>
</a>

<a class="card-wrapper" href="pages/user_guides/install/">
  <div class="card">
    <div class="card-content">
      <h5>User Guides</h5>
      <p>
        Our user guides provide step-by-step instructions on how to install `vizro-ai` package and leverage our core features.
      </p>
    </div>
  </div>
</a>


<a class="card-wrapper" href="pages/explanation/disclaimer">
  <div class="card">
    <div class="card-content">
      <h5>Explanation</h5>
      <p>
        Our explanation section contains background information and disclaimer.
      </p>
    </div>
  </div>
</a>

<a class="card-wrapper" href="pages/contribute/authors">
  <div class="card">
    <div class="card-content">
      <h5>Contribute</h5>
      <p>
        Find our contribution guidelines and all our current and previous contributors here.
      </p>
    </div>
  </div>
</a>

</div>
</div>
